Name:             guacamole-ext
Version:          0.8.0
Release:          4%{?dist}
Summary:          Common interfaces for extending the main Guacamole web application
License:          MPLv1.1 or GPLv2+ or LGPLv2+
URL:              http://guac-dev.org/
Source0:          http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz
BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    guacamole-common >= 0.8.0
BuildRequires:    servlet3
Requires:         guacamole-common >= 0.8.0

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is a Java library used by the Guacamole web application to allow
its built-in functionality, such as authentication, to be extended or modified.
%{name} provides an interface for retrieving a set of authorized
connection configurations for a given set of arbitrary credentials. Classes
implementing this interface can be referenced in guacamole.properties to allow
different authentication mechanisms (such as LDAP or SSL client authentication)
to be used. 

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%{_javadir}/%{name}
%doc LICENSE README

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Wed Jun 19 2013 Simone Caronni <negativo17@gmail.com> - 0.8.0-4
- Remove leftover group tag.

* Tue Mar 26 2013 Simone Caronni <negativo17@gmail.com> - 0.8.0-3
- Updated spec file for Java guidelines.

* Mon Mar 25 2013 Simone Caronni <negativo17@gmail.com> - 0.8.0-2
- Source rebuilt upstream due to bug: http://guac-dev.org/trac/ticket/298

* Thu Mar 21 2013 Simone Caronni <negativo17@gmail.com> - 0.8.0-1
- Update to 0.8.0.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013 Simone Caronni <negativo17@gmail.com> - 0.7.0-2
- Require 0.7.0 level components and maven-local.

* Fri Dec 14 2012 Simone Caronni <negativo17@gmail.com> - 0.7.0-1
- Updated to 0.7.0.

* Mon Oct 22 2012 Simone Caronni <negativo17@gmail.com> - 0.6.2-1
- Updated to 0.6.2.

* Thu Sep 13 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-2
- Change Source0 URL

* Thu Aug 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-1
- Updated to 0.6.1.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-5
- Fix requirements.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-4
- Added conditional on servlet25/3 for RHEL build.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-3
- Fixed .pom file installation.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-2
- Fixed add_maven_depmap macro.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-1
- First build.
